Skip to content

Gets all of the registration processes in the system.

Request

This method will scan all registration processes and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The registration processeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
allow_registrants_to_cancel_registrationsboolean(Allow Registrants To Cancel Registrations)

Whether registrants can cancel registrations in the portal

allow_registrants_to_edit_registrationsboolean(Allow Registrants To Edit Registrations)

Whether registrants can edit their registrations

checkout_settingsobject(Checkout Settings)required
confirmation_emailobject(Confirmation Email)required

The email to send when the application is received

contact_form_optionsobject(Contact Form Options)required
custom_confirmation_page_htmlstring(Custom Confirmation Page Html)required

The custom confirmation page HTML

custom_field_valuesArray of objects(Custom Field Values)
deadline_for_cancelling_registrationsstring, (date-time)(Deadline For Cancelling Registrations)

Deadline for cancelling registrations; if not set, the registration close date is used

descriptionstring(Description)

Description of the process

display_ordernumber, (float)(Display Order)

The order to display

edit_registration_optionsobject(Edit Registration Options)required
enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not an email should be sent when the application is received

enable_custom_confirmation_page_htmlboolean(Enable Custom Confirmation Page Html)

enable custom text to show on the confirmation page

enable_online_registrationboolean(Enable Online Registration)

Whether or not this process is available in the portal

event_idstring(Event)required

The event

form_idstring(Form)events-registrations__.*required

The registration form

group_registration_form_idstring(Group Registration Form)events-registrations__.*

The form to use for group registration

guest_registration_optionsobject(Guest Registration Options)
idstring(ID)^[\w|-]+$required

The unique, string identifier of this registration process

is_activeboolean(Is Active)

Whether or not this registration process is active

namestring(Name)required

The name of the registration process

online_registration_optionsobject(Online Registration Options)required
organization_form_optionsobject(Organization Form Options)required
override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

]
Response
[ { "allow_registrants_to_cancel_registrations": true, "allow_registrants_to_edit_registrations": true, "checkout_settings": { … }, "confirmation_email": { … }, "contact_form_options": { … }, "custom_confirmation_page_html": "string", "custom_field_values": [ … ], "deadline_for_cancelling_registrations": "2019-08-24T14:15:22Z", "description": "string", "display_order": 0.1, "edit_registration_options": { … }, "enable_confirmation_email": true, "enable_custom_confirmation_page_html": true, "enable_online_registration": true, "event_id": "string", "form_id": "string", "group_registration_form_id": "string", "guest_registration_options": { … }, "id": "string", "is_active": true, "name": "string", "online_registration_options": { … }, "organization_form_options": { … }, "override_checkout_settings": true, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } ]